Reference
threads
Published runtime operations for threads.
Source reference · cd46e0e78d73Read Markdown
threads.get
GET /threads/:thread| Contract | Value |
|---|---|
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | None |
threads.history
GET /threads/:thread/history| Contract | Value |
|---|---|
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | before, after, around, message, limit, pending |
threads.calls
GET /threads/:thread/calls| Contract | Value |
|---|---|
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | after, before, limit, details |
threads.messages
POST /threads/:thread/messages| Contract | Value |
|---|---|
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |
threads.interrupt
POST /threads/:thread/interrupt| Contract | Value |
|---|---|
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |
threads.close
POST /threads/:thread/close| Contract | Value |
|---|---|
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |